/****************************************************************************
  Copyright (c) 2006, Dell Inc
  All rights reserved.
  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions are met:
  - Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimer.
    
  - Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution. 
  - Neither the name of Dell Inc nor the names of its contributors
    may be used to endorse or promote products derived from this software 
    without specific prior written permission. 
  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
  LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
  CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
  SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
  INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
  CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
  POSSIBILITY OF SUCH DAMAGE. 
 
 
*****************************************************************************/

#include <ipmitool/cssipmi.h>
#include <ipmitool/cssapi.h>
#include <ipmitool/cssstat.h>
#include <ipmitool/csssupt.h>


/****************************************************************************
    Variables
****************************************************************************/

/* StatusTable */
char * g_StatusTable[MAX_SEVERITY_TYPE_NAMES] =
{
  "Unknown",
  "Informational",
  "Normal",
  "Warning",
  "Critical",
  "Non-Recoverable"
};

/* Sensor Type String Table */
char  g_FanReduntant[] = "Fan Redundancy";
char  g_PSReduntant[]  = "PS Redundancy";

char* g_SensorTypesTable[MAX_SENSOR_TYPE_NAMES] =
{
  "Unknown","Temperature","Voltage","Current","Fan","Intrusion", 
  "Secure Mode","Processor","Power Supply","Power Unit","Cooling Unit",
  "Other Units","Memory","Drive Slot","Memory Resize","Post","Event Log",
  "Watchdog","System Event","Critical Event","Button","Module",
  "Micro Controller","Add-in Card","Chassis","Chip Set","Other FRU","Cable",
  "Terminator","System Boot","Boot Error","OS Event","OS Stop","Slot ",
  "ACPI","Watchdog","Platform","Presence","ASIC Monitor","LAN","Health", 
  "Battery","Session Audit","Version Change","FRU"
};

